'use strict';

Object.defineProperty(exports, '__esModule', { value: true });

require('core-js/modules/es.function.name.js');
require('core-js/modules/es.number.constructor.js');
require('core-js/modules/es.array.join.js');
require('core-js/modules/es.array.includes.js');
require('core-js/modules/es.array.filter.js');
require('core-js/modules/es.object.to-string.js');
require('core-js/modules/es.array.map.js');
require('core-js/modules/es.array.push.js');
require('core-js/modules/es.array.concat.js');

//
//
//
//
//
//

var script$7 = {
  name: 'Layout',
  props: {
    height: {
      type: String | Number
    },
    width: {
      type: String | Number,
      default: '100%'
    }
  },
  computed: {
    computedStyle: function computedStyle() {
      var styles = ["width: ".concat(this.width), "height: ".concat(this.height)];
      return styles.join(';');
    }
  }
};

function normalizeComponent(template, style, script, scopeId, isFunctionalTemplate, moduleIdentifier /* server only */, shadowMode, createInjector, createInjectorSSR, createInjectorShadow) {
    if (typeof shadowMode !== 'boolean') {
        createInjectorSSR = createInjector;
        createInjector = shadowMode;
        shadowMode = false;
    }
    // Vue.extend constructor export interop.
    const options = typeof script === 'function' ? script.options : script;
    // render functions
    if (template && template.render) {
        options.render = template.render;
        options.staticRenderFns = template.staticRenderFns;
        options._compiled = true;
        // functional template
        if (isFunctionalTemplate) {
            options.functional = true;
        }
    }
    // scopedId
    if (scopeId) {
        options._scopeId = scopeId;
    }
    let hook;
    if (moduleIdentifier) {
        // server build
        hook = function (context) {
            // 2.3 injection
            context =
                context || // cached call
                    (this.$vnode && this.$vnode.ssrContext) || // stateful
                    (this.parent && this.parent.$vnode && this.parent.$vnode.ssrContext); // functional
            // 2.2 with runInNewContext: true
            if (!context && typeof __VUE_SSR_CONTEXT__ !== 'undefined') {
                context = __VUE_SSR_CONTEXT__;
            }
            // inject component styles
            if (style) {
                style.call(this, createInjectorSSR(context));
            }
            // register component module identifier for async chunk inference
            if (context && context._registeredComponents) {
                context._registeredComponents.add(moduleIdentifier);
            }
        };
        // used by ssr in case component is cached and beforeCreate
        // never gets called
        options._ssrRegister = hook;
    }
    else if (style) {
        hook = shadowMode
            ? function (context) {
                style.call(this, createInjectorShadow(context, this.$root.$options.shadowRoot));
            }
            : function (context) {
                style.call(this, createInjector(context));
            };
    }
    if (hook) {
        if (options.functional) {
            // register for functional component in vue file
            const originalRender = options.render;
            options.render = function renderWithStyleInjection(h, context) {
                hook.call(context);
                return originalRender(h, context);
            };
        }
        else {
            // inject component registration as beforeCreate hook
            const existing = options.beforeCreate;
            options.beforeCreate = existing ? [].concat(existing, hook) : [hook];
        }
    }
    return script;
}

/* script */
const __vue_script__$7 = script$7;

/* template */
var __vue_render__$5 = function () {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "div",
    { staticClass: "layout", style: _vm.computedStyle },
    [_vm._t("default")],
    2
  )
};
var __vue_staticRenderFns__$5 = [];
__vue_render__$5._withStripped = true;

  /* style */
  const __vue_inject_styles__$7 = undefined;
  /* scoped */
  const __vue_scope_id__$7 = "data-v-4d0bebf1";
  /* module identifier */
  const __vue_module_identifier__$7 = undefined;
  /* functional template */
  const __vue_is_functional_template__$7 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$7 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$5, staticRenderFns: __vue_staticRenderFns__$5 },
    __vue_inject_styles__$7,
    __vue_script__$7,
    __vue_scope_id__$7,
    __vue_is_functional_template__$7,
    __vue_module_identifier__$7,
    false,
    undefined,
    undefined,
    undefined
  );

//
//
//
//
//
//

var script$6 = {
  name: 'Grid',
  components: {},
  props: {
    width: {
      type: String | Number,
      default: '100%'
    },
    height: {
      type: String | Number
    },
    row: {
      type: Number,
      require: true
    },
    col: {
      type: Number,
      require: true
    }
  },
  data: function data() {
    return {};
  },
  computed: {
    computedStyle: function computedStyle() {
      var styles = ["width: ".concat(this.width), "height: ".concat(this.height), "grid-template-rows: repeat(".concat(this.row, ", auto)"), "grid-template-columns: repeat(".concat(this.col, ", auto)")];
      return styles.join(';');
    }
  }
};

const isOldIE = typeof navigator !== 'undefined' &&
    /msie [6-9]\\b/.test(navigator.userAgent.toLowerCase());
function createInjector(context) {
    return (id, style) => addStyle(id, style);
}
let HEAD;
const styles = {};
function addStyle(id, css) {
    const group = isOldIE ? css.media || 'default' : id;
    const style = styles[group] || (styles[group] = { ids: new Set(), styles: [] });
    if (!style.ids.has(id)) {
        style.ids.add(id);
        let code = css.source;
        if (css.map) {
            // https://developer.chrome.com/devtools/docs/javascript-debugging
            // this makes source maps inside style tags work properly in Chrome
            code += '\n/*# sourceURL=' + css.map.sources[0] + ' */';
            // http://stackoverflow.com/a/26603875
            code +=
                '\n/*# sourceMappingURL=data:application/json;base64,' +
                    btoa(unescape(encodeURIComponent(JSON.stringify(css.map)))) +
                    ' */';
        }
        if (!style.element) {
            style.element = document.createElement('style');
            style.element.type = 'text/css';
            if (css.media)
                style.element.setAttribute('media', css.media);
            if (HEAD === undefined) {
                HEAD = document.head || document.getElementsByTagName('head')[0];
            }
            HEAD.appendChild(style.element);
        }
        if ('styleSheet' in style.element) {
            style.styles.push(code);
            style.element.styleSheet.cssText = style.styles
                .filter(Boolean)
                .join('\n');
        }
        else {
            const index = style.ids.size - 1;
            const textNode = document.createTextNode(code);
            const nodes = style.element.childNodes;
            if (nodes[index])
                style.element.removeChild(nodes[index]);
            if (nodes.length)
                style.element.insertBefore(textNode, nodes[index]);
            else
                style.element.appendChild(textNode);
        }
    }
}

/* script */
const __vue_script__$6 = script$6;

/* template */
var __vue_render__$4 = function () {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "div",
    { staticClass: "grid", style: _vm.computedStyle },
    [_vm._t("default")],
    2
  )
};
var __vue_staticRenderFns__$4 = [];
__vue_render__$4._withStripped = true;

  /* style */
  const __vue_inject_styles__$6 = function (inject) {
    if (!inject) return
    inject("data-v-5b6699d5_0", { source: ".grid[data-v-5b6699d5] {\n  display: grid;\n}\n", map: {"version":3,"sources":["Grid.vue"],"names":[],"mappings":"AAAA;EACE,aAAa;AACf","file":"Grid.vue","sourcesContent":[".grid {\n  display: grid;\n}\n"]}, media: undefined });

  };
  /* scoped */
  const __vue_scope_id__$6 = "data-v-5b6699d5";
  /* module identifier */
  const __vue_module_identifier__$6 = undefined;
  /* functional template */
  const __vue_is_functional_template__$6 = false;
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$6 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$4, staticRenderFns: __vue_staticRenderFns__$4 },
    __vue_inject_styles__$6,
    __vue_script__$6,
    __vue_scope_id__$6,
    __vue_is_functional_template__$6,
    __vue_module_identifier__$6,
    false,
    createInjector,
    undefined,
    undefined
  );

//
//
//
//
//
//
//
//
//
//
//

var script$5 = {
  name: 'GridItem',
  props: {},
  components: {},
  methods: {
    handleDragEnter: function handleDragEnter(e) {
      e.preventDefault();
    },
    handleDropOver: function handleDropOver(e) {
      e.preventDefault();
    }
  }
};

/* script */
const __vue_script__$5 = script$5;

/* template */
var __vue_render__$3 = function () {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "div",
    {
      staticClass: "grid-item",
      on: {
        drop: function (e) {
          return _vm.$emit("drop", e)
        },
        dragover: _vm.handleDropOver,
        dragenter: _vm.handleDragEnter,
      },
    },
    [_vm._t("default")],
    2
  )
};
var __vue_staticRenderFns__$3 = [];
__vue_render__$3._withStripped = true;

  /* style */
  const __vue_inject_styles__$5 = undefined;
  /* scoped */
  const __vue_scope_id__$5 = "data-v-1aae9fed";
  /* module identifier */
  const __vue_module_identifier__$5 = undefined;
  /* functional template */
  const __vue_is_functional_template__$5 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$5 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$3, staticRenderFns: __vue_staticRenderFns__$3 },
    __vue_inject_styles__$5,
    __vue_script__$5,
    __vue_scope_id__$5,
    __vue_is_functional_template__$5,
    __vue_module_identifier__$5,
    false,
    undefined,
    undefined,
    undefined
  );

__vue_component__$7.install = function (Vue) {
  Vue.component(__vue_component__$7.name, __vue_component__$7);
};
__vue_component__$6.install = function (Vue) {
  Vue.component(__vue_component__$6.name, __vue_component__$6);
};
__vue_component__$5.install = function (Vue) {
  Vue.component(__vue_component__$5.name, __vue_component__$5);
};

//
//
//
//

var script$4 = {
  name: 'Screen'
};

/* script */
const __vue_script__$4 = script$4;

/* template */
var __vue_render__$2 = function () {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", { staticClass: "screen" })
};
var __vue_staticRenderFns__$2 = [];
__vue_render__$2._withStripped = true;

  /* style */
  const __vue_inject_styles__$4 = function (inject) {
    if (!inject) return
    inject("data-v-326dc3de_0", { source: "\n\n\n\n\n\n\n\n\n\n\n\n", map: {"version":3,"sources":[],"names":[],"mappings":"","file":"Screen.vue"}, media: undefined });

  };
  /* scoped */
  const __vue_scope_id__$4 = undefined;
  /* module identifier */
  const __vue_module_identifier__$4 = undefined;
  /* functional template */
  const __vue_is_functional_template__$4 = false;
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$4 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$2, staticRenderFns: __vue_staticRenderFns__$2 },
    __vue_inject_styles__$4,
    __vue_script__$4,
    __vue_scope_id__$4,
    __vue_is_functional_template__$4,
    __vue_module_identifier__$4,
    false,
    createInjector,
    undefined,
    undefined
  );

__vue_component__$4.install = function (Vue) {
  Vue.component(__vue_component__$4.name, __vue_component__$4);
};

//
//
//
//
//
//
//
//
//
//
//
//
//

var script$3 = {
  name: 'Material',
  props: {
    zIndex: {
      type: Number,
      require: true,
      default: 100
    },
    left: {
      type: String | Number,
      default: 0,
      require: true
    },
    top: {
      type: String | Number,
      default: 0,
      require: true
    },
    draggable: {
      type: Boolean,
      default: true
    }
  },
  computed: {
    computedStyle: function computedStyle() {
      var styles = ["left: ".concat(this.left, "px"), "top: ".concat(this.top, "px"), "z-index: ".concat(this.zIndex), "cursor: ".concat(this.draggable ? 'move' : 'auto')];
      return styles.join(';');
    }
  },
  methods: {
    handleDragStart: function handleDragStart(e) {
      this.draggable && this.$emit('dragStart', e);
    },
    handleDragOver: function handleDragOver(e) {
      this.draggable && this.$emit('dragOver', e);
    },
    handleDragEnd: function handleDragEnd(e) {
      // 取消冒泡
      e.stopPropagation();
      this.draggable && this.$emit('dragEnd', e);
    }
  }
};

/* script */
const __vue_script__$3 = script$3;

/* template */
var __vue_render__$1 = function () {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c(
    "div",
    {
      staticClass: "material",
      style: _vm.computedStyle,
      attrs: { draggable: _vm.draggable },
      on: {
        dragstart: _vm.handleDragStart,
        dragover: _vm.handleDragOver,
        dragend: _vm.handleDragEnd,
      },
    },
    [_vm._t("default")],
    2
  )
};
var __vue_staticRenderFns__$1 = [];
__vue_render__$1._withStripped = true;

  /* style */
  const __vue_inject_styles__$3 = function (inject) {
    if (!inject) return
    inject("data-v-be0c6ede_0", { source: ".material[data-v-be0c6ede] {\n  position: absolute;\n}\n", map: {"version":3,"sources":["Material.vue"],"names":[],"mappings":"AAAA;EACE,kBAAkB;AACpB","file":"Material.vue","sourcesContent":[".material {\n  position: absolute;\n}\n"]}, media: undefined });

  };
  /* scoped */
  const __vue_scope_id__$3 = "data-v-be0c6ede";
  /* module identifier */
  const __vue_module_identifier__$3 = undefined;
  /* functional template */
  const __vue_is_functional_template__$3 = false;
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$3 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__$1, staticRenderFns: __vue_staticRenderFns__$1 },
    __vue_inject_styles__$3,
    __vue_script__$3,
    __vue_scope_id__$3,
    __vue_is_functional_template__$3,
    __vue_module_identifier__$3,
    false,
    createInjector,
    undefined,
    undefined
  );

__vue_component__$3.install = function (Vue) {
  Vue.component(__vue_component__$3.name, __vue_component__$3);
};

var script$2 = {
  name: 'Screen2',
  props: {
    bgImage: {
      type: String,
      default: ''
    },
    bgColor: {
      type: String,
      default: ''
    },
    bgSize: {
      type: String,
      default: 'cover'
    },
    bgRepeat: {
      type: String,
      default: 'no-repeat',
      validator: function validator(type) {
        if (type && !['repeat', 'repeat-x', 'repeat-y', 'no-repeat', 'inherit'].includes(type)) {
          console.error("type\u7C7B\u578B\u5FC5\u987B\u4E3A".concat(['repeat', 'repeat-x', 'repeat-y', 'no-repeat', 'inherit'].join('、')));
        }
        return true;
      }
    }
  },
  components: {
    Layout: __vue_component__$7,
    Grid: __vue_component__$6,
    GridItem: __vue_component__$5,
    Material: __vue_component__$3
  },
  data: function data() {
    var h = this.$createElement;
    return {
      items: [{
        x0: 1,
        x1: 2,
        y0: 1,
        y1: 2,
        id: '1',
        content: h("div", {
          "style": "background: rgba(13, 43, 79,.4);padding: 10px;height: 100%"
        })
      }, {
        x0: 2,
        x1: 5,
        y0: 1,
        y1: 3,
        id: '2',
        content: h("div", {
          "style": "background: rgba(13, 43, 79,.6);padding: 10px;height: 100%"
        })
      }, {
        x0: 5,
        x1: 6,
        y0: 1,
        y1: 2,
        id: '3',
        content: h("div", {
          "style": "background: rgba(13, 43, 79,.4);padding: 10px;height: 100%"
        })
      }, {
        x0: 1,
        x1: 2,
        y0: 2,
        y1: 3,
        id: '4',
        content: h("div", {
          "style": "background: rgba(13, 43, 79,.3);padding: 10px;height: 100%"
        })
      }, {
        x0: 5,
        x1: 6,
        y0: 2,
        y1: 3,
        id: '5',
        content: h("div", {
          "style": "background: rgba(13, 43, 79,.2);padding: 10px;height: 100%"
        })
      }, {
        x0: 1,
        x1: 2,
        y0: 3,
        y1: 4,
        id: '6',
        content: h("div", {
          "style": "background: rgba(13, 43, 79,.41);padding: 10px;height: 100%"
        })
      }, {
        x0: 2,
        x1: 3,
        y0: 3,
        y1: 4,
        id: '7',
        content: h("div", {
          "style": "background: rgba(13, 43, 79,1);padding: 10px;height: 100%"
        })
      }, {
        x0: 3,
        x1: 4,
        y0: 3,
        y1: 4,
        id: '8',
        content: h("div", {
          "style": "background: rgba(13, 43, 79,.4);padding: 10px;height: 100%"
        })
      }, {
        x0: 4,
        x1: 5,
        y0: 3,
        y1: 4,
        id: '9',
        content: h("div", {
          "style": "background: rgba(13, 43, 79,.4);padding: 10px;height: 100%"
        })
      }, {
        x0: 5,
        x1: 6,
        y0: 3,
        y1: 4,
        id: '10',
        content: h("div", {
          "style": "background: rgba(13, 43, 79,.6);padding: 10px;height: 100%"
        })
      }],
      id: ''
    };
  },
  methods: {
    // 拖拽对象
    handleDragStart: function handleDragStart(e, id) {
      this.id = id;
    },
    handleDragOver: function handleDragOver(e, id) {
      // 
    },
    handleDragEnd: function handleDragEnd(e) {
      // 取消冒泡
      e.stopPropagation();
      // if(e.dataTransfer.dropEffect == 'copy') this.dragKeys.push(e.target.id)
    },
    // 被放置目标
    handleDrop: function handleDrop(e, id) {
      var _this = this;
      e.preventDefault();
      // 说明此时拖动的是其他布局模块
      if (this.id != id) {
        var _this$items$filter$, _this$items$filter$2;
        var oldContent = (_this$items$filter$ = this.items.filter(function (f) {
            return f.id == _this.id;
          })[0]) === null || _this$items$filter$ === void 0 ? void 0 : _this$items$filter$.content,
          newContent = (_this$items$filter$2 = this.items.filter(function (f) {
            return f.id == id;
          })[0]) === null || _this$items$filter$2 === void 0 ? void 0 : _this$items$filter$2.content;
        this.items = this.items.map(function (m) {
          if (m.id == _this.id) {
            m.content = newContent;
          } else if (m.id == id) {
            m.content = oldContent;
          }
          return m;
        });
      }
    }
  },
  computed: {
    computedStyle: function computedStyle() {
      var _this2 = this;
      var styles = [];
      var keyMap = {
        bgImage: 'background-image',
        bgColor: 'background-color',
        bgRepeat: 'background-repeat',
        bgSize: 'background-size'
      };
      var valueMap = {
        bgImage: "url(".concat(this.bgImage, ")"),
        bgColor: "".concat(this.bgColor),
        bgRepeat: "".concat(this.bgRepeat),
        bgSize: "".concat(this.bgSize)
      };
      ['bgImage', 'bgColor', 'bgRepeat', 'bgSize'].forEach(function (key) {
        _this2["".concat(key)] && styles.push("".concat(keyMap["".concat(key)], ": ").concat(valueMap["".concat(key)]));
      });
      return styles.join(';');
    }
  },
  render: function render() {
    var h = arguments[0];
    var that = this;
    return h("div", {
      "class": "screen",
      "style": that.computedStyle
    }, [h("div", {
      "class": "screen-container"
    }, [h("header", {
      "class": "screen-header"
    }), h(__vue_component__$7, {
      "class": "screen-layout",
      "attrs": {
        "height": "calc(100vh - 10rem)"
      }
    }, [h(__vue_component__$6, {
      "class": "screen-layout-grid",
      "attrs": {
        "height": "100%",
        "col": 5,
        "row": 3
      }
    }, [that.items.map(function (item, index) {
      return h(__vue_component__$5, {
        "key": index + 1,
        "class": "screen-layout-grid-item",
        "style": "grid-column-start: ".concat(item.x0, ";grid-column-end: ").concat(item.x1, ";grid-row-start: ").concat(item.y0, ";grid-row-end: ").concat(item.y1),
        "on": {
          "drop": function drop(e) {
            return that.handleDrop(e, item.id);
          }
        }
      }, [h("div", {
        "attrs": {
          "draggable": "true"
        },
        "on": {
          "dragstart": function dragstart(e) {
            return that.handleDragStart(e, item.id);
          },
          "dragover": function dragover(e) {
            return that.handleDragOver(e, item.id);
          },
          "dragend": that.handleDragEnd
        },
        "style": "width: 100%; height: 100%;"
      }, [item.content])]);
    })])])])]);
  }
};

/* script */
const __vue_script__$2 = script$2;

/* template */

  /* style */
  const __vue_inject_styles__$2 = function (inject) {
    if (!inject) return
    inject("data-v-1b3f63c8_0", { source: ".screen[data-v-1b3f63c8] {\n  position: relative;\n  color: white;\n  width: 100%;\n  height: 100%;\n}\n.screen-container[data-v-1b3f63c8] {\n  width: 100%;\n  height: 100%;\n  background-image: url(tgcos/582717604620:cdn/screen/selfScreen3/home-bg-border.png);\n  background-repeat: no-repeat;\n  background-size: 100% 100%;\n}\n.screen-header[data-v-1b3f63c8] {\n  height: 6.75rem;\n}\n.screen-layout[data-v-1b3f63c8] {\n  padding: 3rem 4rem;\n}\n.screen-layout-grid-item[data-v-1b3f63c8] {\n  border: 1px dashed rgba(13, 43, 79, 0.1);\n}\n", map: {"version":3,"sources":["Screen2.vue"],"names":[],"mappings":"AAAA;EACE,kBAAkB;EAClB,YAAY;EACZ,WAAW;EACX,YAAY;AACd;AACA;EACE,WAAW;EACX,YAAY;EACZ,mFAAmF;EACnF,4BAA4B;EAC5B,0BAA0B;AAC5B;AACA;EACE,eAAe;AACjB;AACA;EACE,kBAAkB;AACpB;AACA;EACE,wCAAwC;AAC1C","file":"Screen2.vue","sourcesContent":[".screen {\n  position: relative;\n  color: white;\n  width: 100%;\n  height: 100%;\n}\n.screen-container {\n  width: 100%;\n  height: 100%;\n  background-image: url(tgcos/582717604620:cdn/screen/selfScreen3/home-bg-border.png);\n  background-repeat: no-repeat;\n  background-size: 100% 100%;\n}\n.screen-header {\n  height: 6.75rem;\n}\n.screen-layout {\n  padding: 3rem 4rem;\n}\n.screen-layout-grid-item {\n  border: 1px dashed rgba(13, 43, 79, 0.1);\n}\n"]}, media: undefined });

  };
  /* scoped */
  const __vue_scope_id__$2 = "data-v-1b3f63c8";
  /* module identifier */
  const __vue_module_identifier__$2 = undefined;
  /* functional template */
  const __vue_is_functional_template__$2 = undefined;
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$2 = /*#__PURE__*/normalizeComponent(
    {},
    __vue_inject_styles__$2,
    __vue_script__$2,
    __vue_scope_id__$2,
    __vue_is_functional_template__$2,
    __vue_module_identifier__$2,
    false,
    createInjector,
    undefined,
    undefined
  );

__vue_component__$2.install = function (Vue) {
  Vue.component(__vue_component__$2.name, __vue_component__$2);
};

//
//
//
//
//
//

var script$1 = {
  name: 'FlowTask'
};

/* script */
const __vue_script__$1 = script$1;

/* template */
var __vue_render__ = function () {
  var _vm = this;
  var _h = _vm.$createElement;
  var _c = _vm._self._c || _h;
  return _c("div", { staticClass: "flow-task" }, [_vm._t("default")], 2)
};
var __vue_staticRenderFns__ = [];
__vue_render__._withStripped = true;

  /* style */
  const __vue_inject_styles__$1 = undefined;
  /* scoped */
  const __vue_scope_id__$1 = "data-v-313b0edd";
  /* module identifier */
  const __vue_module_identifier__$1 = undefined;
  /* functional template */
  const __vue_is_functional_template__$1 = false;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__$1 = /*#__PURE__*/normalizeComponent(
    { render: __vue_render__, staticRenderFns: __vue_staticRenderFns__ },
    __vue_inject_styles__$1,
    __vue_script__$1,
    __vue_scope_id__$1,
    __vue_is_functional_template__$1,
    __vue_module_identifier__$1,
    false,
    undefined,
    undefined,
    undefined
  );

var script = {
  name: 'Flow',
  props: {
    tasks: {
      type: Array,
      default: function _default() {
        return [];
      }
    },
    current: {
      type: String,
      default: ''
    }
  },
  components: {
    FlowTask: __vue_component__$1
  },
  data: function data() {
    return {};
  },
  render: function render() {
    var h = arguments[0];
    var that = this;
    return h("div", {
      "class": "flow"
    }, [that.tasks.map(function (task) {
      return h(__vue_component__$1, {
        "directives": [{
          name: "if",
          value: task.current == that.current
        }]
      }, [task.component]);
    })]);
  }
};

/* script */
const __vue_script__ = script;

/* template */

  /* style */
  const __vue_inject_styles__ = undefined;
  /* scoped */
  const __vue_scope_id__ = "data-v-409f8e50";
  /* module identifier */
  const __vue_module_identifier__ = undefined;
  /* functional template */
  const __vue_is_functional_template__ = undefined;
  /* style inject */
  
  /* style inject SSR */
  
  /* style inject shadow dom */
  

  
  const __vue_component__ = /*#__PURE__*/normalizeComponent(
    {},
    __vue_inject_styles__,
    __vue_script__,
    __vue_scope_id__,
    __vue_is_functional_template__,
    __vue_module_identifier__,
    false,
    undefined,
    undefined,
    undefined
  );

__vue_component__.install = function (Vue) {
  Vue.component(__vue_component__.name, __vue_component__);
};
__vue_component__$1.install = function (Vue) {
  Vue.component(__vue_component__$1.name, __vue_component__$1);
};

exports.Flow = __vue_component__;
exports.FlowTask = __vue_component__$1;
exports.Grid = __vue_component__$6;
exports.GridItem = __vue_component__$5;
exports.Layout = __vue_component__$7;
exports.Material = __vue_component__$3;
exports.Screen = __vue_component__$4;
exports.Screen2 = __vue_component__$2;
